org.apache.ignite.internal.visor.verify

## Class VisorViewCacheTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorViewCacheTaskArg,VisorViewCacheTaskResult>
    - - org.apache.ignite.internal.visor.verify.VisorViewCacheTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorViewCacheTaskArg>,VisorViewCacheTaskResult>

    @GridInternal
    public class VisorViewCacheTask
    extends VisorOneNodeTask<VisorViewCacheTaskArg,VisorViewCacheTaskResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorViewCacheTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorViewCacheTaskArg,VisorViewCacheTaskResult>` `job(VisorViewCacheTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorViewCacheTask

    public VisorViewCacheTask()

### Method Detail

#### job

    protected VisorJob<VisorViewCacheTaskArg,VisorViewCacheTaskResult> job(VisorViewCacheTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorViewCacheTaskArg,VisorViewCacheTaskResult,VisorViewCacheTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018